Subject: Re: bug#36237: Support (rx (and (regexp EXPR) (regexp-quote EXPR)))

From: Stefan Monnier <[email-masked]>
Date: Sun, 16 Jun 2019 07:34:49 -0400

First, thanks Noam, this is a very welcome improvement.
[ BTW, please use "--" for rx-compile-to-lisp since I believe it's
  internal.  ]

What do regexp and regexp-quote do in rx-to-string?

> - A more suitable name is needed; `regexp-quote' makes no sense at all in
> the context of rx. What about `literal'? For simplicity, I'm proceeding with
> that name below.

I'll let others figure that one out.

> - What is now the correct way of including a compile-time regexp expression,
> such as a defconst? (regexp (eval-when-compile EXPR))? Still a mouthful, but
> perhaps outside the scope of this bug.

FWIW, I have the impression that in most cases where this could be
useful, a better solution would be to provide something like
`rx-defmacro` and/or `rx-macrolet`.

        Stefan